webkit-0.12.3: Binding to the Webkit library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

Graphics.UI.Gtk.WebKit.HitTestResult

Contents

- Description
- Types
- Enums.

Description

Access to the WebKit Web Resource

Synopsis

- data HitTestResult
- class GObjectClass o => HitTestResultClass o
- data HitTestResultContext
  - = HitTestResultContextDocument
  - | HitTestResultContextLink
  - | HitTestResultContextImage
  - | HitTestResultContextMedia
  - | HitTestResultContextSelection
  - | HitTestResultContextEditable

# Description

This class holds context information about the coordinates specified by a GDK event.

# Types

data HitTestResult Source

Instances

Eq HitTestResult |
Ord HitTestResult |
GObjectClass HitTestResult |
HitTestResultClass HitTestResult |

class GObjectClass o => HitTestResultClass o Source

Instances

HitTestResultClass HitTestResult |

# Enums.

data HitTestResultContext Source

Constructors

HitTestResultContextDocument |
HitTestResultContextLink |
HitTestResultContextImage |
HitTestResultContextMedia |
HitTestResultContextSelection |
HitTestResultContextEditable |

Instances

Enum HitTestResultContext |